
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP 多维数组排序 保持索引对应关系 巧用 uasort / iVAN</title>

    <meta name="description" content="PHP 多维数组排序 保持索引对应关系 巧用 uasort 实际开发中,多多少少都会遇到数组的排序问题,除了常规的写简单的排序算法,PHP 还提供了内置数组排序函数,本次重点分享一下:uasort  使用用户自定义的比较函数对数组中的值进行排序并保持索引关联,可排序多维数组,本文重点讲解此函数.             uasort 函数   参数类型:bool uasort ( array &amp;$array, callable $cmp_function)   本函数对数组排序并保持索引和单元之间的关联.   主要用于对那些单元顺序很重要的结合数 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP 多维数组排序 保持索引对应关系 巧用 uasort</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>实际开发中，多多少少都会遇到数组的排序问题，除了常规的写简单的排序算法，PHP 还提供了内置数组排序函数，本次重点分享一下：uasort  使用用户自定义的比较函数对数组中的值进行排序并保持索引关联，可排序多维数组，本文重点讲解此函数。      <br />
 <br />
 <br />
 <br />
uasort 函数<br />
 <br />
参数类型：bool uasort ( array &amp;$array, callable $cmp_function)<br />
 <br />
本函数对数组排序并保持索引和单元之间的关联。<br />
 <br />
主要用于对那些单元顺序很重要的结合数组进行排序。比较函数是用户自定义的。<br />
 <br />
成功时返回 TRUE， 或者在失败时返回 FALSE。<br />
 <br />
 <br />
 <br />
数组排序实例（非class中）：<br />
 <br />
复制代码<br />
 1 /**<br />
 2  * 自定义排序函数<br />
 3  * @param $param1<br />
 4  * @param $param2<br />
 5  * @return 0(不移动) 1(正向调换顺序) -1(逆向调换顺序)<br />
 6  */<br />
 7 <br />
 8 function my_sort($param1, $param2){<br />
 9     if($param1 == $param2) return 0;<br />
10     else return $param1 &gt; $param2 ? 1 : -1;<br />
11 }<br />
12 <br />
13 $arr = array(<br />
14             'a'=&gt;'20',<br />
15             'b'=&gt;'1',<br />
16             'c'=&gt;'10',<br />
17             'd'=&gt;'5',<br />
18             'e'=&gt;'21',<br />
19             'f'=&gt;'4',<br />
20             'g'=&gt;'3',<br />
21         );<br />
22 <br />
23 uasort($arr, 'my_sort');<br />
24 <br />
25 var_dump($arr);<br />
26 <br />
27 /*输出值<br />
28 array (size=7)<br />
29   'b' =&gt; string '1' (length=1)<br />
30   'g' =&gt; string '3' (length=1)<br />
31   'f' =&gt; string '4' (length=1)<br />
32   'd' =&gt; string '5' (length=1)<br />
33   'c' =&gt; string '10' (length=2)<br />
34   'a' =&gt; string '20' (length=2)<br />
35   'e' =&gt; string '21' (length=2)<br />
36 */<br />
复制代码<br />
 <br />
 <br />
多维数组排序实例（非class中）：<br />
 <br />
 <br />
 <br />
复制代码<br />
/**<br />
 * 自定义排序函数<br />
 * @param $param1<br />
 * @param $param2<br />
 * @return 0(不移动) 1(正向调换顺序) -1(逆向调换顺序)<br />
 */<br />
 <br />
function my_sort($param1, $param2){<br />
    if($param1['value'] == $param2['value']) return 0;<br />
    else return $param1['value'] &gt; $param2['value'] ? 1 : -1;<br />
}<br />
 <br />
$arr = array(<br />
            'a'=&gt;array('key'=&gt;'定义1', 'value'=&gt;'20'),<br />
            'b'=&gt;array('key'=&gt;'定义2', 'value'=&gt;'1'),<br />
            'c'=&gt;array('key'=&gt;'定义3', 'value'=&gt;'10'),<br />
            'd'=&gt;array('key'=&gt;'定义4', 'value'=&gt;'5'),<br />
            'e'=&gt;array('key'=&gt;'定义5', 'value'=&gt;'21'),<br />
            'f'=&gt;array('key'=&gt;'定义6', 'value'=&gt;'4'),<br />
            'g'=&gt;array('key'=&gt;'定义7', 'value'=&gt;'3'),<br />
        );<br />
 <br />
uasort($arr, 'my_sort');<br />
 <br />
var_dump($arr);<br />
 <br />
/*输出值<br />
array (size=7)<br />
  'b' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义2' (length=7)<br />
      'value' =&gt; string '1' (length=1)<br />
  'g' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义7' (length=7)<br />
      'value' =&gt; string '3' (length=1)<br />
  'f' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义6' (length=7)<br />
      'value' =&gt; string '4' (length=1)<br />
  'd' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义4' (length=7)<br />
      'value' =&gt; string '5' (length=1)<br />
  'c' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义3' (length=7)<br />
      'value' =&gt; string '10' (length=2)<br />
  'a' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义1' (length=7)<br />
      'value' =&gt; string '20' (length=2)<br />
  'e' =&gt; <br />
    array (size=2)<br />
      'key' =&gt; string '定义5' (length=7)<br />
      'value' =&gt; string '21' (length=2)<br />
*/<br />
复制代码<br />
 <br />
 <br />
 <br />
 <br />
 <br />
 <br />
class中排序，为了方便以二维数组为例：<br />
 <br />
uasort($arr1, array($this, 'public_my_sort'));<br />
 <br />
uasort($arr2, array('self', 'self_my_sort'));<br />
 <br />
复制代码<br />
class myClassSort{<br />
    <br />
    /**<br />
     * 排序主方法<br />
     * @param $arr1  self静态排序<br />
     * @param $arr2  this排序<br />
     * @return 排序后的数组<br />
     */<br />
    public function main($arr1 = array(), $arr2 = array()){<br />
    <br />
        uasort($arr1, array($this, 'public_my_sort'));<br />
        <br />
        uasort($arr2, array('self', 'self_my_sort'));<br />
        <br />
        return array('arr1'=&gt;$arr1, 'arr2'=&gt;$arr2);<br />
    <br />
    }<br />
    <br />
    /**<br />
     * 自定义排序函数<br />
     * @param $param1<br />
     * @param $param2<br />
     * @return 0(不移动) 1(正向调换顺序) -1(逆向调换顺序)<br />
     */<br />
    private static function self_my_sort($param1, $param2){<br />
        if($param1['value'] == $param2['value']) return 0;<br />
        else return $param1['value'] &gt; $param2['value'] ? 1 : -1;<br />
    }<br />
    <br />
    <br />
    //同上<br />
    public function public_my_sort($param1, $param2){<br />
        if($param1['value'] == $param2['value']) return 0;<br />
        else return $param1['value'] &gt; $param2['value'] ? 1 : -1;<br />
    }<br />
    <br />
}<br />
 <br />
$arr = array(<br />
            'a'=&gt;array('key'=&gt;'定义1', 'value'=&gt;'20'),<br />
            'b'=&gt;array('key'=&gt;'定义2', 'value'=&gt;'1'),<br />
            'c'=&gt;array('key'=&gt;'定义3', 'value'=&gt;'10'),<br />
            'd'=&gt;array('key'=&gt;'定义4', 'value'=&gt;'5'),<br />
            'e'=&gt;array('key'=&gt;'定义5', 'value'=&gt;'21'),<br />
            'f'=&gt;array('key'=&gt;'定义6', 'value'=&gt;'4'),<br />
            'g'=&gt;array('key'=&gt;'定义7', 'value'=&gt;'3'),<br />
        );<br />
        <br />
$myClassSort = new myClassSort();<br />
 <br />
var_dump($myClassSort-&gt;main($arr, $arr));<br />
 <br />
/*输出结果同以上实例*/<br />
复制代码<br />
 <br />
 <br />
 <br />
 <br />
类似函数扩展<br />
 <br />
   array_multisort 对多个数组或多维数组进行排序，但是最终填入使用的还是具体一维数组<br />
 <br />
   arsort  对一维数组进行逆向排序并保持索引关系，保持索引对应关系<br />
 <br />
   asort  对一维数组进行正向排序并保持索引关系，保持索引对应关系<br />
 <br />
   krsort  对数组按照键名逆向排序，保持索引对应关系<br />
 <br />
   ksort  对数组按照键名正向排序，保持索引对应关系<br />
 <br />
   natcasesort  用“自然排序”算法对一维数组进行不区分大小写字母的排序，可以用来排序数组内容中字母数字混合的情况，保持索引对应关系<br />
 <br />
   natsort  用“自然排序”算法对一维数组排序，区分大小写字母，可以用来排序数组内容中字母数字混合的情况，保持索引对应关系<br />
 <br />
   rsort  对一维数组逆向排序，不保持索引对应关系<br />
 <br />
   sort  对一维数组正向排序，不保持索引对应关系<br />
 <br />
   uasort  使用用户自定义的比较函数对数组中的值进行排序并保持索引关联，可排序多维数组，本文重点讲解此函数<br />
 <br />
   uksort  使用用户自定义的比较函数对数组中的键名进行排序<br />
 <br />
   usort  使用用户自定义的比较函数对数组中的值进行排序，不保持索引关联<br />
 <br />
 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:08:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/value/" title="value">value</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/array/" title="array">array</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e7%bb%b4/" title="一维">一维</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84%e6%8e%92%e5%ba%8f/" title="数组排序">数组排序</a>, <a href="https://www.iamivan.net/tag/param/" title="param">param</a>, <a href="https://www.iamivan.net/tag/php%e4%bf%9d%e6%8c%81%e5%80%bc/" title="php保持值">php保持值</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e5%ba%94%e5%85%b3%e7%b3%bb/" title="对应关系">对应关系</a>, <a href="https://www.iamivan.net/tag/%e9%80%86%e5%90%91%e7%ae%97%e6%b3%95/" title="逆向算法">逆向算法</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89%e6%af%94%e8%be%83%e5%87%bd%e6%95%b0/" title="自定义比较函数">自定义比较函数</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89key/" title="自定义key">自定义key</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%87%ba%e5%a4%9a%e7%bb%b4%e6%95%b0%e7%bb%84/" title="输出多维数组">输出多维数组</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a7%e7%94%a8%e6%95%b0%e7%bb%84/" title="巧用数组">巧用数组</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP 多维数组排序 保持索引对应关系 巧用 uasort的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr20x6M.html" rel="bookmark">php array&lowbar;map array&lowbar;multisort 高效处理多维数组排序&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对多维数组排序,通用的作法是1 获取利用排序的数据并且将其放入数组$arrSort. 其中键索引为要排序数组的索引,保证唯一性 2 利用排序函数sort等对$arrSort进行排序. 3 遍历$arrSort, 根据其索引,获取多维数组的数据,重新构造排序后的多维数组. 复制代码 代码如下: Array ( [0] =&gt; Array ( [link] =&gt; test [name] =&gt; test.rpm [type] =&gt; file [size] =&gt; 988.9k [mti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk0KKp.html" rel="bookmark">array&lowbar;multisort实现PHP多维数组排序示例讲解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				array_multisort - 对多个数组或多维数组进行排序 说明 bool array_multisort ( array ar1 [, mixed arg [, mixed ... [, array ...]]] ) array_multisort (PHP 4, PHP 5) 如果成功则返回 TRUE,失败则返回 FALSE. array_multisort() 可以用来一次对多个数组进行排序,或者根据某一维或多维对多维数组进行排序. 关联(string)键名保持不变,但数字键名会被重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYxB9b.html" rel="bookmark">PHP 多维数组排序实现代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				array_multisort (PHP 4, PHP 5) array_multisort -- 对多个数组或多维数组进行排序 说明 bool array_multisort ( array ar1 [, mixed arg [, mixed ... [, array ...]]] ) 如果成功则返回 TRUE,失败则返回 FALSE. array_multisort() 可以用来一次对多个数组进行排序,或者根据某一维或多维对多维数组进行排序. 关联(string)键名保持不变,但数字键名会被			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNo8ep.html" rel="bookmark">PHP多维数组排序函数 array&lowbar;multisort&lpar;&rpar; 实例讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.先看最简单的情况. 有两个数组: $arr1 = array(1, 9, 5);$arr2 = array(6, 2, 4); array_multisort($arr1, $arr2); print_r($arr1); // 得到的顺序是1,5,9print_r($arr2); // 得到的顺序是6,4,2 我估计两个数组的值自始至终都是对应着的:1对应6,9对应2,5对应4.我们再加多一个数组看看会怎样: $arr1 = array(1, 9, 5);$arr2 = array(6, 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1gBxb.html" rel="bookmark">php 多维数组排序 array&lowbar;multisort函数用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对2维数组或者多维数组排序是常见的问题,在php中我们有个专门的多维数组排序函数,下面简单介绍下: array_multisort(array1,sorting order, sorting type,array2,array3..)是对多个数组或多维数组进行排序的函数. 第一个参数是数组,随后的每一个参数可能是数组,也可能是下面的排序顺序标志(排序标志用于更改默认的排列顺序)之一: SORT_ASC - 默认,按升序排列.(A-Z) SORT_DESC - 按降序排列.(Z-A) 随后可以指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQYExb.html" rel="bookmark">php 二维数组排序几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候为了达到一定目的,需要对二维数组进行排序,现分享一下其实现的方法.  代码如下 复制代码 $arr=array ( '1' =&gt; array ( 'date' =&gt; '2011-08-18', 'num' =&gt; 5 ) , '2' =&gt; array ( 'date' =&gt; '2011-08-20', 'num' =&gt; 3 ) , '3' =&gt; array ( 'date' =&gt; '2011-08-17', 'num' =&gt; 10 )  )  ;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMA6o3p.html" rel="bookmark">PHP实现指定字段的多维数组排序函数分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了PHP实现指定字段的多维数组排序函数分享,本文分享了一段PHP指定字段的多维数组排序方法的代码,这段代码可实现根据field字段对数组进行排序,需要的朋友可以参考下     PHP数组排序可以用array_multisort方法实现,但是如果是多维数组,并且我们要指定数组中的某个字段进行排序,那么这就需要我们自己写方法实现了.本文分享了一段PHP指定字段的多维数组排序方法的代码,这段代码可实现根据field字段对数组进行排序. 代码如下: function sortArrBy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5YBnp.html" rel="bookmark">PHP二维数组排序的3种方法和自定义函数分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了PHP二维数组排序的3种方法和自定义函数分享,需要的朋友可以参考下 关于排序一般我们都是通过数据库或者nosql(eg:redis)先排好序然后输出到程序里直接使用,但是有些时候我们需要通过PHP直接来对数组进行排序,而在PHP里存储数据用到最多的就是对象和数组,但处理较多的就是数组,因为有非常丰富的内置函数库(其实对象一定程度上也可以理解为是数组),这些函数库很大程度上可以帮助我们实现某些功能.常用的系统函数有sort.asort.arsort.ksort.krsort等等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgPj1p.html" rel="bookmark">PHP二维数组排序的函数分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二维数组在PHP开发中经常遇到,但是他的排序就不如一维数组那样用内置函数来的方便了,二维数组的排序需要我们自己写函数处理了,这里UncleToo给大家分享一个PHP二维数组排序的函数:    代码:   代码如下: functionarray_sort($arr,$keys,$type='asc'){  $keysvalue= $new_array= array();  foreach($arras$k=&gt;$v){  $keysvalue[$k] = $v[$keys];  }  if($typ			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqW7Oz.html" rel="bookmark" class="title">来聊聊游戏产品的那些辅助APP</a>
					<div>
						  近年来移动互联网迅猛发展,逐渐成为人们日常生活的一部分.传统主机和PC端游戏为了融入移动互联网的大浪潮中也纷纷推出手机和平板等移动设备上的辅助APP应用.那今天我们就来聊聊目前了解收集到的一些辅助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJYj8p.html" rel="bookmark" class="title">设计个性化印章</a>
					<div>
						设计 大家都知道Fireworks是一个创建.编辑和优化网页图像的多功能应用程序,其实在制作网页之外,我们也可以把它作为一个功能强大的图像处理软件使用.图3和图4中的两种印章效果就是利用它设计出来的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrN26M.html" rel="bookmark" class="title">PHP stream未能及时清理现场导致Core的bug</a>
					<div>
						  同事发现一个在使用set_error_handler的时候, 能100%重现的core, 提炼后的重现代码如下(环境必须不能访问internet):   &lt;?php function err ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdVO4b.html" rel="bookmark" class="title">php 生成迅雷快车旋风链接</a>
					<div>
						&lt;?php   function zhuanhuan() {       $urlodd=explode('//',$_GET[&quot;url&quot;],2);//把链接分成2段,//前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7vXRp.html" rel="bookmark" class="title">如何降低网站改版对网站优化的影响</a>
					<div>
						一个网站能在搜索引擎中长期获得好的排名,是站长长期坚持做网站优化的成果.可能你的网站设计的很好,但再好的网站不可能永远不改版,有些网站改版是为了提升用户体验,有些是为了对搜索引擎更友好.有经验的优化师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA4LBb.html" rel="bookmark" class="title">基于J2ME的手机联网程序</a>
					<div>
						随着国内3G的启动,新一代移动通信大潮已经到来.技术的进步使得无线网络取得不错的发展,移动互联网巨大前景也随着显现.无线网络速度的提高,催生大量的手机联网应用程序.手机联网功能的强化,使得手机应用更具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjValp.html" rel="bookmark" class="title">Photoshop打造甜美清新的淡蓝色树林人物图片</a>
					<div>
						  素材图片整体比较暗,调色的时候,我们需要在顶部的边角渲染一些高光;然后给高光区域增加淡蓝色;再把主色转为较淡的中性色,暗部增加一些暗蓝色即可. 原图 最终效果 1.打开原图素材大图,按Ctrl + ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEWemb.html" rel="bookmark" class="title">360安全卫士如何设置不自动修复漏洞？</a>
					<div>
						  打开360安全卫士,点击&quot;漏洞修复&quot;软件就会自行扫描并修复漏洞.那么怎样设置软件不自行进行漏洞的扫描和修复,而是人为进行操作呢? 解决方式如下: 首先点击漏洞修复界面下方的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eZaYb.html" rel="bookmark" class="title">JavaScript实现计算字符串中出现次数最多的字符和出现的次数</a>
					<div>
						 这篇文章主要介绍了JavaScript实现计算字符串中出现次数最多的字符和出现的次数,本文直接给出实现代码,需要的朋友可以参考下     &quot;计算出字符串中出现次数最多的字符是什么,出现了多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaWYmM.html" rel="bookmark" class="title">盘点windows系统下IE浏览器七大常见问题</a>
					<div>
						  1.IE首次开机响应速度慢,需要数秒 解决办法:ie下选择工具-internet选项-连接-局域网设置-取消自动检测-完成. 2.IE9图片显示不正常或干脆不显示,尤其是QQ空间 解决办法:工具- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNgqrM.html" rel="bookmark" class="title">MD5有哪些作用？</a>
					<div>
						  MD5是什么? MD5为计算机安全领域广泛使用的一种散列函数,用以提供消息的完整性保护. 1991年,Rivest开发出技术上更为趋近成熟的md5算法.它在MD4的基础上增加了&quot;安全-带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGo5jp.html" rel="bookmark" class="title">2017年6款最值得推荐的免费Linux防火墙</a>
					<div>
						本文讲的是2017年6款最值得推荐的免费Linux防火墙, 简介 试想一下,当你深夜走在一条黑暗的小巷中,突然有人跳出来并强迫你交出护照.信用卡.钱包以及车钥匙等所有值钱物品,这是多么恐怖的一件事情. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV9g6b.html" rel="bookmark" class="title">Robot Framework自动化测试（七）--- jybot模式</a>
					<div>
						  虽然,很久不用关于Robot Framework框架了,但我这里应该是除了@齐涛-道长之外分享Robot Framework 相关资料比较多的地方了.所以,常常被问到一些关于该框架的问题. 虽然, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWE06p.html" rel="bookmark" class="title">解决 Android Studio &colon; minSdkVersion 8 cannot be smaller than version</a>
					<div>
						Android Studio 版本:0.8.2 beta 本文介绍了解决导入工程出现&quot;cannot be smaller than version L &quot;的解决方法 报错: [ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3209Jz.html" rel="bookmark" class="title">操作系统-有谁能详细介绍一下，环境变量中path路径的执行过程吗？</a>
					<div>
						问题描述 有谁能详细介绍一下,环境变量中path路径的执行过程吗? 就是假设我将环境变量中的path改为了 path=%JAVA_HOME%;bin; 那当我调用java程序进行编译时, 操作系统是通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Njez.html" rel="bookmark" class="title">云数据存储：解决数据寻址安全问题</a>
					<div>
						当有暇时你可能会思考这样一个问题,从客户的角度来看,是什么让云计算变得这么的吸引人,是按所需使用资源的能力吗?在你正在使用&quot;应用程序堆栈&quot;的层次以下都成为了一个黑匣子.这包括了基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwa8lM.html" rel="bookmark" class="title">C&plus;&plus;第12周项目4&mdash;&mdash;用函数解决素数、回文数等</a>
					<div>
						课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 [项目4-回文.素数]  编制一个返回值为bool型的函数isPrimer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwrq1p.html" rel="bookmark" class="title">Microsoft VBScript 编译器错误 &lpar;0x800A0401&rpar; 语句未结束</a>
					<div>
						问题描述 错误类型:MicrosoftVBScript编译器错误(0x800A0401)语句未结束/JTJ/xinxichaxun.asp,line33,column39sql=&quot;selec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW9O4p.html" rel="bookmark" class="title">线程终止问题</a>
					<div>
						问题描述 我得思路是这样的:我在主线程调用线程b和方法1方法1调用线程a执行业务逻辑b检测业务逻辑是否执行,如果业务逻辑没有执行,就调用方法1代码大概就是:dosavefixedRepublish(s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA7r4p.html" rel="bookmark" class="title">PostgreSQL leakproof function in rule rewrite&lpar;&amp;quot&semi;attack&amp;quot&semi; security&lowbar;barrier views&rpar;&period;</a>
					<div>
						上一篇BLOG我介绍了一下PostgreSQL 9.4新增的一个功能, 支持自动更新设置了安全栅栏的简单视图. http://blog.163.com/digoal@126/blog/static/1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba76jNp.html" rel="bookmark" class="title">Cocos2D将v1&period;0的tileMap游戏转换到v3&period;4中一例&lpar;一&rpar;</a>
					<div>
						大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请告诉我,如果觉得不错请多多支持点赞.谢谢! hopy ;) 首先说一下为什么要转换,这是为了后面的A*寻路算法做准备.由于在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKjXVb.html" rel="bookmark" class="title">一个后台SQL的小问题</a>
					<div>
						问题描述 一个学生管理系统的教师模块.需要录入学生成绩.这个是查询学生课程的代码if(textBox1.Text.Length&lt;=0){MessageBox.Show(&quot;查询条件不能为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjdnoM.html" rel="bookmark" class="title">android 一个button 标签出错。莫名其妙！找不到，希望大神帮我看看 在线等</a>
					<div>
						问题描述 android 一个button 标签出错.莫名其妙!找不到,希望大神帮我看看 在线等 1C 解决方案 红线不是标了有错吗? 解决方案二: 对啊 那种错误看不懂 解决方案三: 首先,你要确定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKEZKz.html" rel="bookmark" class="title">一年后重返3000点三大板块值得关注</a>
					<div>
						每经记者 毛晋楠 2009年7月1日,这注定成为A股历史上一个值得纪念的日子,这一天,沪市拉出一根长达48.79点的阳线,报收于3008.15点,大盘指数重返3000点之上.这也是自2008年6月向下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqoGKz.html" rel="bookmark" class="title">窗帘销售业暗藏潜规则克扣布料辅料差价</a>
					<div>
						很多消费者认为,购买窗帘是件简单的事,无非就是定定样式,选选布料.其实,窗帘销售行业也暗藏着&quot;潜规则&quot;. 潜规则一&quot;黄金比例&quot; 大多数消费者选购窗帘时,都会自觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKPVqb.html" rel="bookmark" class="title">WPF：使用Json&period;NET在TreeView中树形显示JSON数据</a>
					<div>
						原文  WPF:使用Json.NET在TreeView中树形显示JSON数据 据 读者可以参考这个开源的可以树形显示XML和JSON的工具: Mgen Object 603:XML/JSON树形显示小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKxvRz.html" rel="bookmark" class="title">关于POI</a>
					<div>
						问题描述 请问用POI怎么设置选中单元格,区域?为什么cell.setAsActiveCell();不起作用?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVmqBz.html" rel="bookmark" class="title">MySQL结合使用数据库分析工具SchemaSpy的方法&lowbar;Mysql</a>
					<div>
						 近来,我和一帮老客户一起工作,他们让花时间给他们说一下在他们新环境中使用的新工具.其中,我发现的一个非常有用的工具是SchemaSpy. SchemaSpy是Java开发的的工具(要求java 5或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJODB8b.html" rel="bookmark" class="title">FAQ系列 &vert; slow log中出现commit、binlog dump等奇怪的记录</a>
					<div>
						导读 在slow query log中频繁出现commit.binlog dump等奇怪的记录,本来这种SQL应该很快结束,不应该出现在slow query log中才对,这是为什么呢? 现象 线上有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr4Ykp.html" rel="bookmark" class="title">OpenStack和Docker成最受欢迎开源云计算项目</a>
					<div>
						这项调查由Linux.com和网站New Stack联合开展,从550多个调查对象那里收集了信息,结果公布在近日于芝加哥召开的CloudOpen北美大会上. 为了获得重要结果:谁是总体上最佳的开源云计 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
